/**
 * Internet schemas for wireguard configuration.
 *
 * @since 1.0.0
 */
export * as InternetSchemas from "./InternetSchemas.js";
/**
 * Wireguard config schema definitions
 *
 * @since 1.0.0
 */
export * as WireguardConfig from "./WireguardConfig.js";
/**
 * Wireguard control mechanisms.
 *
 * @since 1.0.0
 */
export * as WireguardControl from "./WireguardControl.js";
/**
 * Wireguard errors
 *
 * @since 1.0.0
 */
export * as WireguardErrors from "./WireguardErrors.js";
/**
 * Tools to help generate wireguard configs for common situations.
 *
 * @since 1.0.0
 */
export * as WireguardGenerate from "./WireguardGenerate.js";
/**
 * Wireguard interface helpers
 *
 * @since 1.0.0
 */
export * as WireguardInterface from "./WireguardInterface.js";
/**
 * Wireguard key schemas and helpers
 *
 * @since 1.0.0
 */
export * as WireguardKey from "./WireguardKey.js";
/**
 * Wireguard peer schema definitions
 *
 * @since 1.0.0
 */
export * as WireguardPeer from "./WireguardPeer.js";
/**
 * Utilities for connecting to the Wireguard demo server at demo.wireguard.com
 *
 * @since 1.0.0
 */
export * as WireguardServer from "./WireguardServer.js";
//# sourceMappingURL=index.d.ts.map